package com.ebelter.sdksdemo.utils_permission.per_interface;

/**
 * Created by bao on 2019/3/29.
 */

public interface PermissionInterface {

    /**
     * 可设置请求权限请求码
     */
    int getPermissionsRequestCode();

    /**
     * 设置需要请求的权限
     */
    String[] getPermissions();

    /**
     * 请求权限成功回调
     */
    void requestPermissionsSuccess();

    /**
     * 请求权限失败回调 不在询问
     */
    void requestNoPermissionsFail();

    /**
     * 请求权限失败回调
     */
    void requestPermissionsFail();
}
